- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_flow.h File Reference

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axutil_array_list.h>`
`#include <axis2_handler_desc.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_flow | axis2_flow_t
## Functions
AXIS2_EXTERN axis2_flow_t * | axis2_flow_create (const axutil_env_t *env)
AXIS2_EXTERN void | axis2_flow_free (axis2_flow_t *flow, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_flow_add_handler (axis2_flow_t *flow, const axutil_env_t *env, axis2_handler_desc_t *handler)
AXIS2_EXTERN axis2_handler_desc_t * | axis2_flow_get_handler (const axis2_flow_t *flow, const axutil_env_t *env, const int index)
AXIS2_EXTERN int | axis2_flow_get_handler_count (const axis2_flow_t *flow, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_flow_free_void_arg (void *flow, const axutil_env_t *env)

## Detailed Description